<!DOCTYPE html>
<html>
  <head>
    <meta charset="UTF-8">
    <title>InComeMessageInterface</title>
    <link href='http://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,700,300italic,400italic,700italic|Source+Code+Pro:300,400,700' rel='stylesheet' type='text/css'>
<link rel="stylesheet" href="../assets/css/bootstrap.css">
<link rel="stylesheet" href="../assets/css/jquery.bonsai.css">
<link rel="stylesheet" href="../assets/css/main.css">
<link rel="stylesheet" href="../assets/icon-font/icons.css">
<script type="text/javascript" src="../assets/js/jquery-2.1.0.min.js"></script>
<script type="text/javascript" src="../assets/js/bootstrap.js"></script>
<script type="text/javascript" src="../assets/js/jquery.bonsai.js"></script>

  </head>
  <body>
    <div>

      <!-- Name Title -->

      <h1>InComeMessageInterface</h1>

      <!-- Type and Stereotype -->

      <section style="margin-top: .5em;">
        <span class="alert alert-info">
          <span class="node-icon staruml-icon icon-UMLInterface"></span>
          UMLInterface
        </span>
        
      </section>

      <!-- Path -->

      <section style="margin-top: 10px">
        
        
        
          
          <span class="label label-info"><a href='cf9c8b720f3815adeccaf3ef6e48c6c4.html'><span class='node-icon staruml-icon icon-Project'></span>Untitled</a></span>
        
          <span>::</span>
          <span class="label label-info"><a href='594af663de577680f35b13183109d675.html'><span class='node-icon staruml-icon icon-UMLModel'></span>Model</a></span>
        
          <span>::</span>
          <span class="label label-info"><a href='6c7c32401d438e33f5283ed882eaa1bd.html'><span class='node-icon staruml-icon icon-UMLInterface'></span>InComeMessageInterface</a></span>
        
      </section>

      <!-- Diagram -->

      

      <!-- Description -->

      
      <section>
        <h3>Description</h3>
        <div>
          
            <span class="label label-info">none</span>
          
        </div>
      </section>
      

      <!-- Specification -->

      

      <!-- Directed Relationship -->

      

      <!-- Undirected Relationship -->

      

      <!-- Classifier -->

      
        
        


        
        


        
        


        
        


        
        

      

      <!-- Interface -->

      
        
        
<section class="element-list">
    <h3>Implementing Classifiers</h3>
    <ul class="nav nav-list">
        
        <li><a href='43fa60133e5f90b54137a63fbe203087.html'><span class='node-icon staruml-icon icon-UMLClass'></span>InComeMessage</a></li>
        
        <li><a href='28d408e7c1cde255bac7bd15fa712677.html'><span class='node-icon staruml-icon icon-UMLClass'></span>InComeMessageProxy</a></li>
        
    </ul>
</section>


      

      <!-- Component -->

      

      <!-- Node -->

      

      <!-- Actor -->

      

      <!-- Use Case -->

      

      <!-- Template Parameters -->

      

      <!-- Literals -->

      

      <!-- Attributes -->

      

      <!-- Operations -->

      
      <section>
        <h3>Operations</h3>
        <table class="table table-striped table-bordered">
          <tr>
            <th>Visibility</th>
            <th>Name</th>
            <th>Description</th>
          </tr>
          
          <tr>
            <td>public</td>
            <td><a href="e297beb6329d2a97e94b039ec318ccbc.html">createInComeMessage(): InComeMessage</a></td>
            <td></td>
          </tr>
          
        </table>
      </section>
      

      <!-- Receptions -->

      

      <!-- Extension Points -->

      

      <!-- Parameters -->

      

      <!-- Diagrams -->

      
      

      <!-- Behavior -->

      

      <!-- Action -->

      

      <!-- Interaction -->

      

      <!-- CombinedFragment -->

      

      <!-- Activity -->

      

      <!-- State Machine -->

      

      <!-- State Machine -->

      

      <!-- State -->

      

      <!-- Vertex -->

      

      <!-- Transition -->

      

      <!-- Data Model (ERD) -->

      

      <!-- Columns (ERD) -->

      

      <!-- Related Entities (ERD) -->

      

      <!-- Data Flows (DFD) -->

      

      <!-- Flows (Flowchart) -->

      

      <!-- Properties -->

      <section>
        <h3>Properties</h3>
        
        <table class="table table-striped table-bordered">
    <tr>
        <th width="50%">Name</th>
        <th width="50%">Value</th>
    </tr>
    
    
    
    
    
    
    
    <tr>
        <td>name</td>
        <td>InComeMessageInterface</td>
    </tr>
    
    
    
    
    
    
    
    
    
    
    
    <tr>
        <td>stereotype</td>
        <td><span class='label label-info'>null</span></td>
    </tr>
    
    
    
    
    
    <tr>
        <td>visibility</td>
        <td>public</td>
    </tr>
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    <tr>
        <td>isAbstract</td>
        <td><span class='label label-info'>false</span></td>
    </tr>
    
    
    
    
    
    <tr>
        <td>isFinalSpecialization</td>
        <td><span class='label label-info'>false</span></td>
    </tr>
    
    
    
    
    
    <tr>
        <td>isLeaf</td>
        <td><span class='label label-info'>false</span></td>
    </tr>
    
    
    
</table>                

      </section>

      <!-- Tags -->

      

      <!-- Constraints, Dependencies, Dependants -->

      
        
        


        
        


        
        
<section class="element-list">
    <h3>Dependants</h3>
    <ul class="nav nav-list">
        
        <li><a href='43fa60133e5f90b54137a63fbe203087.html'><span class='node-icon staruml-icon icon-UMLClass'></span>InComeMessage</a></li>
        
        <li><a href='28d408e7c1cde255bac7bd15fa712677.html'><span class='node-icon staruml-icon icon-UMLClass'></span>InComeMessageProxy</a></li>
        
    </ul>
</section>


      

      <!-- Relationships -->

      
      
<section class="element-list">
    <h3>Relationships</h3>
    <ul class="nav nav-list">
        
        <li><a href='c8a0ff4b0c1af5d850d2632c04f48d76.html'><span class='node-icon staruml-icon icon-UMLInterfaceRealization'></span>(InComeMessage→InComeMessageInterface)</a></li>
        
        <li><a href='1f41961f4fd542ef5fd670eeff360ce6.html'><span class='node-icon staruml-icon icon-UMLInterfaceRealization'></span>(InComeMessageProxy→InComeMessageInterface)</a></li>
        
    </ul>
</section>



      <!-- Owned Elements -->

      
      


    </div>
  </body>
</html>
